svm_model Struct Reference

`#include <pcl/ml/svm.h>`

Inheritance diagram for svm_model:

## Public Attributes

struct svm_parameter | param
int | nr_class
int | l
struct svm_node ** | SV
double ** | sv_coef
double * | rho
double * | probA
double * | probB
int * | label
int * | nSV
int | free_sv
struct svm_node * | scaling

## Detailed Description

Definition at line 99 of file svm.h.

## Member Data Documentation

## free_sv

int svm_model::free_sv

Definition at line 117 of file svm.h.

## l

int svm_model::l

Definition at line 103 of file svm.h.

Referenced by pcl::SVMClassify::loadClassProblem(), pcl::SVM::saveClassifierModel(), pcl::SVMModel::SVMModel(), pcl::SVMClassify::~SVMClassify(), and pcl::SVMTrain::~SVMTrain().

## label

int* svm_model::label

Definition at line 113 of file svm.h.

## nr_class

int svm_model::nr_class

Definition at line 102 of file svm.h.

## nSV

int* svm_model::nSV

Definition at line 114 of file svm.h.

## param

struct svm_parameter svm_model::param

Definition at line 101 of file svm.h.

## probA

double* svm_model::probA

Definition at line 108 of file svm.h.

Referenced by pcl::SVMModel::SVMModel().

## probB

double* svm_model::probB

Definition at line 109 of file svm.h.

Referenced by pcl::SVMModel::SVMModel().

## rho

double* svm_model::rho

Definition at line 107 of file svm.h.

## scaling

struct svm_node* svm_model::scaling

Definition at line 122 of file svm.h.

Referenced by pcl::SVMClassify::setClassifierModel().

## SV

struct svm_node** svm_model::SV

Definition at line 105 of file svm.h.

## sv_coef

double** svm_model::sv_coef

Definition at line 106 of file svm.h.

The documentation for this struct was generated from the following file:

- pcl/ml/svm.h